<script type="text/javascript" src="{$STORE_URL}/{$SKIN_VARS.admin_folder}/skins/{$SKIN_VARS.skin_folder}/js/jquery-1.11.2.min.js"></script>
<script type="text/javascript" src="{$STORE_URL}/{$SKIN_VARS.admin_folder}/skins/{$SKIN_VARS.skin_folder}/js/jquery-ui-1.11.2.min.js"></script>

<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
	<!-- Start General Tab -->
	<div id="product_filters" class="tab_content">
		<h3>{$LANG.product_filters.module_title}</h3>

		<fieldset><legend>{$LANG.product_filters.configuration}</legend>
			<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
			<div><label for="disable_dynamic_menu">{$LANG.product_filters.disable_dynamic_menu}</label><span><input type="hidden" name="module[disable_dynamic_menu]" id="disable_dynamic_menu" class="toggle" value="{$MODULE.disable_dynamic_menu}" />&nbsp;</span></div>
		</fieldset>

		<fieldset><legend>License Settings</legend>
			<div><label for="ndl_license_key">License Key</label><span><input name="module[ndl_license_key]" id="ndl_license_key" class="textbox" type="text" value="{$PLUGIN_LICENSE_KEY}" /></span></div>

			{$PLUGIN_LICENSE_STATUS}
			{$PLUGIN_SUPPORT_STATUS}
			{if isset($PLUGIN_SUPPORT_ENDS)}
				{$PLUGIN_SUPPORT_ENDS}
			{/if}

			<input type="hidden" name="module[general_tab]" value="general_tab">
		</fieldset>

		<fieldset><legend>Plugin Version Information & Messages</legend>
			<div>Version: {$PLUGIN_VERSION} </div>
			{if isset($PLUGIN_MESSAGES)}
				{$PLUGIN_MESSAGES}
			{/if}
		</fieldset>
	</div>
	<!-- End General Tab -->	

	<!-- Start Filter Groups Tab -->
	<div id="product_filter_groups" class="tab_content">
		<h3>{$LANG.product_filters.filter_groups_tlc}</h3>
		<p>{$LANG.product_filters.filter_groups_description}</p>
		
		<fieldset><legend>{$LANG.product_filters.new_group}</legend>
			<div><label for="new_filter_group">{$LANG.product_filters.group_name}</label><span><input type="text" name="new_filter_group" id="new_group_name" class="textbox text" placeholder="{$LANG.product_filters.group_name}" />&nbsp;</span></div>
		</fieldset>

		{if isset($FILTER_GROUPS) && is_array($FILTER_GROUPS) && !empty($FILTER_GROUPS)}
			<div class="form_control">
				<input type="submit" value="{$LANG.common.save}" />
			</div>		
			<br/>
			<fieldset><legend>{$LANG.product_filters.manage_existing_groups}</legend>
				<table>
					<thead>
						<tr>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
							<td>
								{$LANG.product_filters.enabled}
							</td>
							<td>
								{$LANG.product_filters.group_name}
							</td>
							<td>
								{$LANG.product_filters.link_to_value}
							</td>
							<td>
								{$LANG.product_filters.apply_to_category}
							</td>
						</tr>
					</thead>
					<tbody class="reorder-list">
					{foreach from=$FILTER_GROUPS item=$type}
					
						<tr>
							<td align="center">
								<a href="{$VAL_SELF}&a=dg&g={$type.id}#product_filter_groups" class="delete" title="{$LANG.product_filters.ok_to_delete}"><i class="fa fa-trash" title="{$LANG.product_filters.delete}"></i></a>
							</td>

							  <td align="center">
								<a href="#" class="handle"><img src="{$SKIN_VARS.admin_folder}/skins/{$SKIN_VARS.skin_folder}/images/updown.gif" title="{$LANG.ui.drag_reorder}"></a>
								 <input type="hidden" name="filter_groups_sort_order[]" value="{$type.id}">
							  </td>														
							
							<td style="text-align:center;">
								<div><span><input type="hidden" name="edit_group[{$type.id}][enabled]" id="group_status_enabled_{$type.id}" class="toggle" value="{$type.enabled}" />&nbsp;</span></div>
							</td>
							<td>
								<span class="editable" name="edit_group[{$type.id}][group_name]" title="{$LANG.product_filters.click_to_edit}">{$type.group_name}</span>
							</td>
							<td>
								{if isset($FILTER_GROUPS_SELECT_VALUES) && is_array($FILTER_GROUPS_SELECT_VALUES) && !empty($FILTER_GROUPS_SELECT_VALUES)}
									<select name="filter_group_linked_values[{$type.id}]">
										<option value="0">{$LANG.product_filters.please_select_none}</option>
										{foreach from=$FILTER_GROUPS_SELECT_VALUES key=$type_name item=$values}
											<option>{$type_name}</option>
											{foreach from=$values key=$value_id item=$value}
												<option value="{$value_id}" {if $type.linked_value_id == $value_id}selected{/if}> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; {$value}</option>	
											{/foreach}
										{/foreach}
									</select>
								{else}
									&nbsp;
								{/if}
							</td>

							<td>
								<select name="edit_group[{$type.id}][cat_id]" class="textbox">
									{foreach from=$SELECT_FILTER_CATEGORIES item=category}
										<option value="{$category.id}"{$category.selected} {if $type.cat_id == $category.id}selected{/if}>{$category.display}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					{/foreach}					
					</tbody>
				</table>
			</fieldset>
		{/if}

		{if isset($FILTER_GROUPS) && is_array($FILTER_GROUPS) && !empty($FILTER_GROUPS)}
			<p>{$LANG.product_filters.filter_groups_blurb}</p>
			<div class="accordion">
			{foreach from=$FILTER_GROUPS item=$group}
				<h3 style="color:black;">{$LANG.product_filters.manage_existing_group} - {$group.group_name}</h3>
					<div>
					<table>
						<thead>
							<tr>
								<td>&nbsp;</td>
								<td>
									{$LANG.product_filters.enabled}
								</td>
								<td>
									{$LANG.product_filters.filter_type}
								</td>
							</tr>
						</thead>
						<tbody class="reorder-list">						
							{foreach from=$FILTER_TYPES_WITH_MENU_SORT_ORDER key=$type_name item=$ftypes}
								{if $group.id == $ftypes.group_id}							
								
									<tr>
									  <td align="center">
									  
										<a href="#" class="handle"><img src="{$SKIN_VARS.admin_folder}/skins/{$SKIN_VARS.skin_folder}/images/updown.gif" title="{$LANG.ui.drag_reorder}"></a>
										 <input type="hidden" name="filter_membership_sort_order[{$group.id}][]" value="{$ftypes.id}">
									  </td>
									  
										<td style="text-align:center;">
											{assign var="mapped" value=0}
											{foreach from=$FILTER_GROUP_MEMBERSHIPS key=$group_id item=$members}
												{if $group.id == $group_id}
													{foreach from=$members item=$member}
														{if $member.type_id == $ftypes.id && $member.enabled == 1}
															{$mapped = 1}
														{/if}
													{/foreach}
												{/if}
											{/foreach}
											<div><span><input type="hidden" name="group_mapping[{$group.id}][{$ftypes.id}]" id="mapping_{$group.id}{$ftypes.id}" class="toggle" value="{$mapped}" />&nbsp;</span></div>
										</td>
										<td>
											{$ftypes.filter_name}
										</td>
									</tr>
								{/if}	
							{/foreach}
						</tbody>
					</table>
						<div class="form_control">
							<input type="submit" value="{$LANG.common.save}" />
						</div>
					</div>
			{/foreach}
			</div>
		{/if}

	</div>	
	<!-- End Filter Groups Tab -->
	
	<!-- Start Filter Types Tab -->
	<div id="product_filter_types" class="tab_content">
		<h3>{$LANG.product_filters.filter_types}</h3>
		
		<fieldset><legend>{$LANG.product_filters.new_type}</legend>
			<div><label for="new_filter_type">{$LANG.product_filters.filter_name}</label><span>
					<input type="text" name="new_filter_type" id="filter_name" class="textbox text" placeholder="{$LANG.product_filters.filter_name}" />
				</span></div>
		</fieldset>

		{if isset($FILTER_TYPES) && is_array($FILTER_TYPES) && !empty($FILTER_TYPES)}
			<fieldset><legend>{$LANG.product_filters.manage_existing_filters}</legend>
				<table>
					<thead>
						<tr>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
							<td>
								{$LANG.product_filters.enabled}
							</td>
							<td>
								{$LANG.product_filters.filter_name}
							</td>
							<td>
								{$LANG.product_filters.price_filter}
							</td>
							<td>
								{$LANG.product_filters.seo_path}
							</td>
							<td>
								{$LANG.product_filters.meta_title}
							</td>
							<td>
								{$LANG.product_filters.meta_description}
							</td>
							<td>
								{$LANG.product_filters.meta_keywords}
							</td>
						</tr>
					</thead>
					<tbody class="reorder-list">
					{foreach from=$FILTER_TYPES item=$type}
						<tr>
							<td align="center">
								<a href="{$VAL_SELF}&a=dt&t={$type.id}#product_filter_types" class="delete" title="{$LANG.product_filters.ok_to_delete}"><i class="fa fa-trash" title="{$LANG.product_filters.delete}"></i></a>
							</td>
							  <td align="center">
								<a href="#" class="handle"><img src="{$SKIN_VARS.admin_folder}/skins/{$SKIN_VARS.skin_folder}/images/updown.gif" title="{$LANG.ui.drag_reorder}"></a>
								 <input type="hidden" name="filter_types_sort_order[]" value="{{$type.id}}">
							  </td>							
							<td style="text-align:center;">
								<div><span><input type="hidden" name="edit_type[{$type.id}][enabled]" id="type_status_enabled_{$type.id}" class="toggle" value="{$type.enabled}" />&nbsp;</span></div>
							</td>
							<td>
								<span class="editable" name="edit_type[{$type.id}][filter_name]" title="{$LANG.product_filters.click_to_edit}">{$type.filter_name}</span>
							</td>
							
							<td style="text-align:center;">
								<input type="hidden" name="edit_type[{$type.id}][is_price_filter]" id="edit_type_price_filter_{$type.id}" class="toggle" value="{$type.is_price_filter}"/>
							</td>

							<td>
								<span class="editable" name="edit_type[{$type.id}][seo_path]" title="{$LANG.product_filters.click_to_edit}">{$type.seo_path}</span>
							</td>

							<td>
								<span class="editable" name="edit_type[{$type.id}][seo_meta_title]" title="{$LANG.product_filters.click_to_edit}">{$type.seo_meta_title}</span>
							</td>

							<td>
								<span class="editable" name="edit_type[{$type.id}][seo_meta_description]" title="{$LANG.product_filters.click_to_edit}">{$type.seo_meta_description}</span>
							</td>

							<td>
								<span class="editable" name="edit_type[{$type.id}][seo_meta_keywords]" title="{$LANG.product_filters.click_to_edit}">{$type.seo_meta_keywords}</span>
							</td>

						</tr>
					{/foreach}					
					</tbody>
				</table>
			</fieldset>
		{/if}
		
	</div>
	<!-- End Filter Types Tab -->

	<!-- Start Filter Values Tab -->
	<div id="product_filter_values" class="tab_content">
		<h3>{$LANG.product_filters.filter_values}</h3>
		
		{if isset($FILTER_TYPES) && is_array($FILTER_TYPES) && !empty($FILTER_TYPES)}
				<p>{$LANG.product_filters.add_new_filter_value}</p>
				<table>
					<thead>
						<tr>
							<td>{$LANG.product_filters.filter_name}</td>
							<td>{$LANG.product_filters.filter_value}</td>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>
								<select name="new_filter_value[type_id]">
									<option value="0">{$LANG.product_filters.please_select}</option>
									{foreach from=$FILTER_TYPES item=$type}							
										<option value="{$type.id}">{$type.filter_name}</option>
									{/foreach}
								</select>
							</td>
							<td>
								<input type="text" name="new_filter_value[value_name]" id="value_name" class="textbox text" placeholder="{$LANG.product_filters.filter_value}" />
							</td>
					</tbody>
				</table>

			{if isset($FILTER_VALUES) && is_array($FILTER_VALUES) && !empty($FILTER_VALUES)}
				<br/>
				<div class="accordion">
				{foreach from=$FILTER_VALUES key=$type_name item=$type_with_id}
				
					<!-- this next one lets us grab the type_id from the array -->
					{foreach from=$type_with_id key=$type_id item=$type}
							<h3 style="color: black;">{$LANG.product_filters.manage_existing_values} - {$type_name}</h3>
							<div>
							<table>
								<thead>
									<tr>
										<td>&nbsp;</td>
										<td>&nbsp;</td>
										<td>
											{$LANG.product_filters.enabled}
										</td>
										<td>
											{$LANG.product_filters.filter_value}
										</td>
										<td>
											{$LANG.product_filters.seo_path}
										</td>
										<td>
											{$LANG.product_filters.linked_document}
										</td>
										<td>
											{$LANG.product_filters.meta_title}
										</td>
										<td>
											{$LANG.product_filters.meta_description}
										</td>
										<td>
											{$LANG.product_filters.meta_keywords}
										</td>
									</tr>
									</tr>
								</thead>
								<tbody class="reorder-list">
								{foreach from=$type key=$value_id item=$values}
									<tr>
										<td align="center">
											<a href="{$VAL_SELF}&a=dv&v={$value_id}#product_filter_values" class="delete" title="{$LANG.product_filters.ok_to_delete}"><i class="fa fa-trash" title="{$LANG.product_filters.delete}"></i></a>
										</td>

										  <td align="center">
											<a href="#" class="handle"><img src="{$SKIN_VARS.admin_folder}/skins/{$SKIN_VARS.skin_folder}/images/updown.gif" title="{$LANG.ui.drag_reorder}"></a>
											 <input type="hidden" name="filter_values_sort_order[{$type_id}][]" value="{$value_id}">
										  </td>
										
										<td style="text-align:center;">
											<div><span><input type="hidden" name="edit_value[{$value_id}][enabled]" id="type_status_enabled_{$value_id}" class="toggle" value="{$values.enabled}" />&nbsp;</span></div>
										</td>
										<td>
											<span class="editable" name="edit_value[{$value_id}][value_name]" title="{$LANG.product_filters.click_to_edit}">{$values.value_name}</span>
										</td>

										<td>
											<span class="editable" name="edit_value[{$value_id}][seo_path]" title="{$LANG.product_filters.click_to_edit}">{$values.seo_path}</span>
										</td>

										<td>
											{if isset($FILTER_DOCUMENTS) && is_array($FILTER_DOCUMENTS) && !empty($FILTER_DOCUMENTS)}
												<select name="edit_value[{$value_id}][document_id]" id="value_document_id_{$value_id}">
													<option value="0">{$LANG.product_filters.please_select_none}</option>
													{foreach from=$FILTER_DOCUMENTS key=$doc_id item=$doc}
														<option value="{$doc_id}" {if $values.document_id == $doc_id}selected{/if}>{$doc}</option>
													{/foreach}
												</select>
											{/if}
										</td>

										<td>
											<span class="editable" name="edit_value[{$value_id}][seo_meta_title]" title="{$LANG.product_filters.click_to_edit}">{$values.seo_meta_title}</span>
										</td>

										<td>
											<span class="editable" name="edit_value[{$value_id}][seo_meta_description]" title="{$LANG.product_filters.click_to_edit}">{$values.seo_meta_description}</span>
										</td>

										<td>
											<span class="editable" name="edit_value[{$value_id}][seo_meta_keywords]" title="{$LANG.product_filters.click_to_edit}">{$values.seo_meta_keywords}</span>
										</td>

									</tr>
								{/foreach}					
								</tbody>
							</table>
								<div class="form_control">
									<input type="submit" value="{$LANG.common.save}" />
								</div>
							</div>
					{/foreach}
				{/foreach}
				</div>
			{/if}				
		{else}
			{$LANG.product_filters.add_filter_type}
		{/if}
	</div>
	<!-- End Filter Values Tab -->

	<div id="seo_paths" class="tab_content">
		<h3>{$LANG.product_filters.seo_paths_description}</h3>

		<fieldset><legend>{$LANG.product_filters.configuration}</legend>
			<div><label for="rebuild_seo_paths">{$LANG.product_filters.rebuild_seo_paths}</label><span><input type="submit" name="rebuild_seo_paths" id="rebuild_seo_paths" class="submit" value="{$LANG.product_filters.rebuild}" />&nbsp;</span></div>
		</fieldset>

		<div class="accordion">
		{foreach from=$DYNAMIC_SEO_PATHS key=$cat item=$seo}
			<h3 style="color:black;">{$LANG.product_filters.category} - {$cat}</h3>
				<div>
				<table>
					<thead>
					<tr>
						<td>{$LANG.product_filters.filters}</td>
						<td>{$LANG.product_filters.seo_path}</td>
						<td>{$LANG.product_filters.meta_title}</td>
						<td>{$LANG.product_filters.meta_description}</td>
						<td>{$LANG.product_filters.meta_keywords}</td>
					</tr>
					</thead>
					<tbody>
					{foreach from=$seo item=$path}
						<tr>
							<td>
								<ul>
									{$path.custom_filter_list_items}
								</ul>
							</td>
							<td><a href="{$STORE_URL}/{$path.custom_filter_url}" target="_test_seo_path">{$path.path}</a></td>
							<td>{$path.custom_filter_seo_meta_title}</td>
							<td>{$path.custom_filter_seo_meta_description}</td>
							<td>{$path.custom_filter_seo_meta_keywords}</td>
						</tr>
					{/foreach}
					</tbody>
				</table>
				</div>
		{/foreach}
		</div>
	</div>

	<div id="install_guide" class="tab_content">
		<h3>{$LANG.product_filters.configuration}</h3>

		<p>Product filters is a module which offers advanced dynamic filtering of products by category based on product meta data. It can be used to drive a dynamic site menu if required. The module offers two different operating models</p>

		<p><span style="font-weight: bold;">If you are using CubeCart 6.2.9 or earlier</span>, you will need to add two new hooks to a core file in your store. The addition of the two hooks is important to ensure that your SEO paths are correct on the store front, especially if you are using this module in Category sub-filter mode. Please see the CubeCart github page and make the changes documented. <a href="https://github.com/cubecart/v6/issues/2510">https://github.com/cubecart/v6/issues/2510</a></p>

		<ol>
			<li><b>Needle & Haystack</b><br/>
				This model is based on the concept that all of your inventory is in a <b>SINGLE</b> category within your store. all of the inventory in one category is considered the haystack. Customers then apply filters to help them find the products of interest. in this case the products are the needles.
				<br/>
				This model works very well with the dynamic menu feature of the module. Menu items are essentially shortcuts to pre-selected filters which help the customer find the items of interest quicker.
			</li>
			<br/>
			<li><b>Category sub-filter</b><br/>
				This model is based on a more traditional category filter system. As a customer enters a category they are offered relevant filters based on the inventory in the category. Selecting filters will show the customer only items they are interested in. Another way of looking at this model is that each category is a haystack, much like the needle and haystack model above. In this case you have multiple haystacks for customers to explore.
				<br/>
				This model does support the dynamic menu, but it works better with a traditional category based menu.
			</li>
		</ol>

		<p>The module has the following features:
		<ul>
			<li>Two operating models. Needle & Haystack or Category sub-filter</li>
			<br/>
			<li>Dynamic filter options based on inventory meta data<br/>
				<i>Within the product filters module setup the Filter Types and Filter Values that apply to your store inventory. When editing a product in your store you can select the filter values which are applicable to your product. Selected Filter Values are used to dynamically build filter options for customers</i>
			</li>
			<br/>
			<li>Dynamic navigation menu<br/>
				<i>This is optional depending on how you wish to use the module. The menu supports a maximum of two levels. Top level menu items are known as Filter Groups. Top level filter groups can be linked with a filter value or simply used as a container for other menu items. Depending on the model you are using you can apply the filter group to either your category containing all of your inventory or to a variety of store categories. If you are not making use of the dynamic navigation menu it is recommended to disable the menu by checking the &quot;Disable Dynamic Menu&quot; checkbox in the module general settings. This will disable the calculation of the menu items in the background which offers a slight performance improvement.</i>
			</li>
			<br/>
			<li>Price Filter<br/>
				<i>Both models support the use of price filters. It is recommended to only setup a single price filter by checking the Price Filter box with the Filter Types tab. When a filter type is a price filter the inventory being filtered is evaluated and split into price ranges as configured in your filter values. A Price Filter requires Filter Values to be configured as numerical ranges. For example, &quot;0 - 10&quot; represents a price filter range of 0 to 10. Any products with its price in the range of 0 - 10 would fall into this filter value. Price filters are not intended to be used in the dynamic menu.</i>
			</li>
			<br/>
			<li>Filter &amp; Value sort order:<br/>
				<i>Filter Groups, Filter Types and Filter Values are all sortable. The order you define them as within the module configuration is how the items will display on the store front</i>
			</li>
			<br/>
			<li>Dynamic SEO paths<br/>
				<i>SEO links and data is dynamically built based on your Filters. SEO paths are dynamically built by joining together the SEO path of the parent category, Filter Types and Filter Values. You can review generated SEO links within the SEO Paths tab on a per category basis. Generated SEO paths are added to your store sitemap. You can rebuild the paths at any time using the Rebuild button. It is recommended to rebuild your SEO paths after making any changes to filters or inventory. As changes can be frequent the module includes a script which can be scheduled using CRON to rebuild your paths regularly. The cron file is found in the /modules/plugins/product_filters/cron directory and required no configuration to enable, simply setup the cron task on your server. It is recommended to rebuild paths during quiet periods on your store such as overnight. If no SEO path has been defined for a Filter Type or Filter Value when the rebuild process runs a default value will be generated.</i>
			</li>
			<br/>
			<li>Dynamic SEO titles, descriptions and keywords<br/>
				<i>SEO titles, descriptions and keywords can be used if you wish. Much like the SEO Paths, titles, descriptions and keywords will merge with the parent category SEO data based on Filter Types and Filter Values. Should you not wish to use this feature you can leave the values as NULL and they will be skipped.</i>
			</li>
			<br/>
			<li>Enable &amp; Disable Filter conditions<br/>
				<i>You can toggle on or off Filter Groups, Filter Types and Filter Values.  A disabled filter condition will be excluded from the menu and filter options shown on the store front but keeps the association of the filter conditions with your store inventory.</i>
			</li>
			<br/>
			<li>Linked Document with Filter Value<br/>
				<i>This can be a very useful feature if you are using the Needle & Haystack model or Category sub-filter model. Any document within your store can be linked to a Filter Value. If a customer applies a filter condition which is linked to a document then the document content is displayed to the customer before the product list. An example of this would be if a customer chose a Filter Type of &quot;Manufacturer&quot; and Filter Value of &quot;Microsoft&quot; and the Filter Value is linked with a Microsoft document with promotional material. The promotional material specific to Microsoft is displayed before the product list.</i>
			</li>
		</ul>
		</p>

		<p>Depending on the version of CubeCart you are using, you may be required to add some additional lines of code to your store. The following step applies to any CubeCart store on version 6.1.8 or lower.</p>
		<ul>
			<li>New hook in /classes/seo.class.php<br/>
				<b>FIND:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">$item_vars = $this->_getItemVars($item[0]['type'], $item[0]['item_id']);</textarea>{/literal}
				<br/>
				<b>ADD AFTER:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">foreach ($GLOBALS['hooks']->load('class.seo.getitem.parameters') as $hook) include $hook;</textarea>{/literal}
			</li>
			<br/>
			<li>New hook in /classes/seo.class.php<br/>
				<b>FIND:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">$sitemap = $this->_sitemap_xml->getDocument(true);</textarea>{/literal}
				<br/>
				<b>ADD BEFORE:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">foreach ($GLOBALS['hooks']->load('class.seo.sitemap') as $hook) include $hook;</textarea>{/literal}
			</li>
		</ul>

		<p>The following step applies to any CubeCart store on version 6.1.8 or lower.</p>
		<ul>
			<li>New hook in /classes/catalogue.class.php<br/>
				<b>FIND:</b><br/>
				{literal}<textarea style="width: 100%; height:60px;">$this->_category_count  = (int)count($count);
$this->_category_products = $sale;</textarea>{/literal}
				<br/>
				<b>ADD AFTER:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">foreach ($GLOBALS['hooks']->load('class.catalogue.search_catalogue.sale_items.post') as $hook) include $hook;</textarea>{/literal}
			</li>
		</ul>

		<p>Since the module is adding a new way for customers to explore your store there are changes to be made within your store theme. The changes you need to add will vary depending on the model & features you wish to adopt. All code samples are considered <b>EXAMPLES</b>. They should work with most stores however it is expected that the samples will be modified to suit your own requirements. If you are unsure about making code changes please contact support via <a href="https://www.noodleman.co.uk/support">https://www.noodleman.co.uk/support</a>. The following changes are based on the Foundation theme.</p>
		<ul>
			<li>box.filters.php (This is a new template file you need to CREATE.)<br/>
				<a href="{$STORE_URL}/modules/plugins/product_filters/sample_foundation_files/box.filters.txt" target="_sample_code1">{$LANG.product_filters.click_here_for_sample_code}</a>
			</li>
			<br/>
			<li>main.php (Links our filter boxes template file to the store theme)<br/>
				{literal}<textarea style="width: 100%; height:30px;">{include file='templates/box.featured.php'}</textarea>{/literal}
				<br/>
				<b>ADD BEFORE:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">{include file='templates/box.filters.php'}</textarea>{/literal}
			</li>
			<br/>
			<li><span style="color: red;">(optional)</span> box.custom_menu.php (this is a new file you need to CREATE. This is the sample custom menu)<br/>
				<a href="{$STORE_URL}/modules/plugins/product_filters/sample_foundation_files/box.custom_menu.txt" target="_sample_code2">{$LANG.product_filters.click_here_for_sample_code}</a>
			</li>
			<br/>
			<li><span style="color: red;">(optional)</span> main.php<br/>
				{literal}<textarea style="width: 100%; height:30px;">{include file='templates/box.navigation.php'}</textarea>{/literal}
				<br/>
				<b>REPLACE WITH:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">{include file='templates/box.custom_menu.php'}</textarea>{/literal}
			</li>
			<br/>
			<li><span style="color: red;">(optional)</span> box.off_canvas.left.php (This step replaces the sidebar menu for smaller size browsers such as mobile devices)<br/>
				<b>REPLACE EXISTING FILE CONTENTS WITH:</b><br/>
				<a href="{$STORE_URL}/modules/plugins/product_filters/sample_foundation_files/box.off_canvas.left.txt" target="_sample_code3">{$LANG.product_filters.click_here_for_sample_code}</a>
			</li>
			<br/>
			<li><span style="color: red;">(optional)</span> content.category.php (Modification to change the category name to a document name if a document is linked)<br/>
				<b>FIND:</b> <i>Note: there may be multiple items to find, change all of them</i><br/>
				{literal}<textarea style="width: 100%; height:30px;">{$category.cat_name}</textarea>{/literal}
				<br/>
				<b>REPLACE WITH:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">{if isset($CAT_DOC_CONTENT.doc_name) && !empty($CAT_DOC_CONTENT.doc_name)}{$CAT_DOC_CONTENT.doc_name}{else}{$category.cat_name}{/if}</textarea>{/literal}
			</li>


			<li><span style="color: red;">(optional)</span> content.category.php (Modification to show the content of linked docments)<br/>
				<b>FIND:</b><br/>
				{literal}<textarea style="width: 100%; height:30px;">{if isset($SUBCATS) && $SUBCATS}</textarea>{/literal}
				<br/>
				<b>ADD BEFORE:</b><br/>
				{literal}<textarea style="width: 100%; height:100px;">{if isset($CAT_DOC_CONTENT.doc_content) && !empty($CAT_DOC_CONTENT.doc_content)}
	<div class="row">
		<div class="small-12 columns">{$CAT_DOC_CONTENT.doc_content}</div>
	</div>
{/if}</textarea>{/literal}
			</li>



			<br/>
			<li>MISSING IMAGES<br/>
				In earlier versions of CubeCart some images required by this module are missing from the admin theme. This is corrected as of CubeCart 6.1.9. If you are using an earlier version of CubeCart you may need to copy the images from directory "ui-images" within this module, to your admin directory, /skins/default/js/styles/images/ directory. For reference view <a href="https://github.com/cubecart/v6/issues/1664">GitHub issue #1664</a>
			</li>



		</ul>
	</div>


	<div class="form_control">
		<input type="submit" value="{$LANG.common.save}" />
	</div>

	<input type="hidden" name="token" value="{$SESSION_TOKEN}" />
</form>



<script>
	$( function() {
		$( ".accordion" ).accordion({
			header: "h3",
			collapsible: true,
			active: false,
			heightStyle: "content"
		});
	} );
</script>